unit touche;

interface
const
rayonD=8;
rayonT=25;
//toucge de deplacement
function up(x:integer; rayon:integer ) : integer;
function down(x:integer; rayon:integer) : integer;
function right( y : integer): integer;
function left ( y: integer) : integer;

//gestion de la camera
function zoom(i:integer):integer;
function pivot ( j:integer):integer;

//cas pour quitter
function quit(jouer:boolean) : boolean;

implementation



function up(x:integer ; rayon : integer) : integer;

begin
if rayon<rayonD then
  begin
    if glfwGetKey(GLFW_KEY_UP) = GLFW_PRESS then
    begin
    result:= x+1;
    end
    else
    result:=x
    end;
    

  end;

end;

end.
